## partner.tar.bz2

=== Partner-DB/Makefile ===
all:

test:
	prove

perltidy:
	find ./lib ./t -name '*.p[lm]' -o -name '*.t' | xargs -n1 -t -P8 perltidy -w --backup-file-extension=.~tidybkp~
	find ./lib ./t -name '*.~tidybkp~' -delete

clean:
	find . -name '*~' -type f -exec rm {} +
