=== page_id_generator/Makefile ===
# Trendbox jobs makefile

api_t_install: ;

api_t_script:
	sudo service docker start
	cd ./api; docker build --network=host --tag page_id_generator_api .; cd ../
	docker run \
		--rm \
		--volume=`pwd`/api/t/:/app/t/ \
		page_id_generator_api \
		carton exec prove -r t/
	sudo service docker stop
