=== planner/Makefile ===
.PHONY: all build

REPOSITORY=registry.yandex.net/adfox/planner
TAG=latest
TAG_GIT_SHA := $(shell arc info | sed -nr 's/hash: //p')

all: build


run:
	docker run -p 3000:80 -t ${REPOSITORY}

build:
	docker build --rm --force-rm . -t ${REPOSITORY}:${TAG} -t ${REPOSITORY}:${TAG_GIT_SHA}

push:
	docker push ${REPOSITORY}:${TAG}
	docker push ${REPOSITORY}:${TAG_GIT_SHA}
