=== Partner-DB/debian/changelog ===
libpartner-db-perl (1.8.29) unstable; urgency=low

  * PI-20185 add autotests, oneshot and preprod servers

 -- Artem Rumyantsev <artrum@yandex-team.ru>  Fri, 14 Aug 2020 16:56:46 +0300

libpartner-db-perl (1.8.28) unstable; urgency=low

  * Fix CH connection

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Tue, 16 Jun 2020 13:08:18 +0300

libpartner-db-perl (1.8.27) unstable; urgency=low

  * Change connection

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Tue, 16 Jun 2020 12:34:55 +0300

libpartner-db-perl (1.8.26) unstable; urgency=low

  * change ssl to secure

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 08 Nov 2018 16:25:13 +0300

libpartner-db-perl (1.8.25) precise; urgency=low

  * delete colored prompt

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 02 Oct 2018 15:46:44 +0300

libpartner-db-perl (1.8.24) precise; urgency=low

  * remove "--silent" 

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 02 Oct 2018 14:24:26 +0300

libpartner-db-perl (1.8.23) precise; urgency=low

  * fix clickhouse hosts

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 02 Oct 2018 12:53:04 +0300

libpartner-db-perl (1.8.20) precise; urgency=low

  * add ClickHouse

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 01 Oct 2018 21:57:52 +0300

libpartner-db-perl (1.8.19) precise; urgency=low

  * refactoring

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 23 Feb 2018 21:44:39 +0300

libpartner-db-perl (1.8.18) precise; urgency=low

  * supress warning

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 23 Feb 2018 18:43:00 +0300

libpartner-db-perl (1.8.17) precise; urgency=low

  * INFRASTRUCTUREPI-1836 - new TS database

 -- Alexey Lapaev <alapaev@yandex-team.ru>  Mon, 03 Jul 2017 14:59:17 +0300

libpartner-db-perl (1.8.16) precise; urgency=low

  * add debian/install 

 -- Roman Zuev <zurom@yandex-team.ru>  Sun, 23 Apr 2017 14:16:03 +0300

libpartner-db-perl (1.8.15) precise; urgency=low

  * Trying to fix problem with perllocal.pod

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 26 May 2016 21:40:10 +0300

libpartner-db-perl (1.8.14) precise; urgency=low

  * No changes

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 26 May 2016 21:20:55 +0300

libpartner-db-perl (1.8.13) precise; urgency=low

  * No changes

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 23 May 2016 15:02:23 +0300

libpartner-db-perl (1.8.12) precise; urgency=low

  * New databases ts1 and ts2

  * bin/show_mysql_status shows only last 5 docker images

  * ./bin/show_mysql_status

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 23 May 2016 14:28:03 +0300

libpartner-db-perl (1.8.11) precise; urgency=low

  * Changes user for production partner2 partner_logs

  * change user for prod

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 25 Mar 2016 12:34:50 +0300

libpartner-db-perl (1.8.10) precise; urgency=low

  * New option in all scripts `--silent`

  * New option in all scripts `--additional_options="..."`

  * No more color in mysql prompt
  * (Color breaks editing capabilities. Mysql cli does counts number of
    symbols incorrectly)

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 03 Mar 2016 22:38:15 +0300

libpartner-db-perl (1.8.9) precise; urgency=low

  * INFRASTRUCTUREPI-530 - Using port 3378 for
    partnerdb-mysql-test.yandex.ru

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Tue, 17 Nov 2015 11:30:35 +0300

libpartner-db-perl (1.8.8) precise; urgency=low

  * INFRASTRUCTUREPI-530 - New port for partner2-test.yandex.ru database

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 13 Nov 2015 12:46:38 +0300

libpartner-db-perl (1.8.7) precise; urgency=low

  * INFRASTRUCTUREPI-474 - При подключении к
    продашн базе mysql prompt уведомляет об
    этом
  * Решение найдено тут:
    http://superuser.com/questions/397183/mysql-command-line-color-prompt

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Tue, 22 Sep 2015 21:20:17 +0300

libpartner-db-perl (1.8.6) precise; urgency=low

  * DIRECTADMIN-2121 - New auth data for partner2 dev & ts databases

  * INFRASTRUCTUREPI-163 - Working with dev & ts databases for partner2

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Wed, 18 Mar 2015 22:26:12 +0300

libpartner-db-perl (1.8.5) precise; urgency=low

  * tertius - fix distribution test db port.

  * Connect to distribution database.

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Tue, 17 Mar 2015 12:57:39 +0300

libpartner-db-perl (1.8.4) precise; urgency=low

  * changed login info for test_partner_logs2

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Thu, 12 Feb 2015 16:26:46 +0300

libpartner-db-perl (1.8.3) precise; urgency=low

  * DIRECTADMIN-1570 — using port 3478 for test database

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 08 Dec 2014 17:39:21 +0400

libpartner-db-perl (1.8.2) precise; urgency=low

  * Fixing `mysql_partner2 --server=test`
  * Using the same db settings as in file `beta/DatabaseConfig.json`.

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 21 Jul 2014 15:26:33 +0400

libpartner-db-perl (1.8.1) precise; urgency=low

  * Using dzil plugin QBit::Yandex

  * Using new zookeeper file with PI1 logs settings

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 25 Apr 2014 17:46:16 +0400

libpartner-db-perl (1.8.0) precise; urgency=low

  * 1.8.0

  * Using new zookeeper file with PI1 settings

  * fix one more typo

  * fix one more typo

  * fix typos

  * perltidy

  * added perltidy files

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Mon, 21 Apr 2014 14:59:55 +0400

libpartner-db-perl (1.7.1) precise; urgency=low

  * 1.7.1

  * fixes for partner2

 -- Ivan Bessarabov <bessarabov@yandex-team.ru>  Fri, 29 Nov 2013 17:25:50 +0400

libpartner-db-perl (1.7.0) precise; urgency=low

  * 1.7.0

  * simpler

  * refactoring

  * removing temp hack;

  * additional check for host

  * remove ldumps

  * eval removed

  * fixes

  * for PI1: hostname for mysql db now taken from func (zookeper)

  * PI-1396 take server host param from zookeper


