=== partner2-juggler-api/debian/changelog ===
libpartner2-juggler-api-perl (0.15) unstable; urgency=low

  * notify_rules/remove_notify_rules

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Fri, 12 Feb 2021 13:03:55 +0300

libpartner2-juggler-api-perl (0.14) unstable; urgency=low

  * fix notify_rules/get_notify_rules

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Fri, 12 Feb 2021 10:24:25 +0300

libpartner2-juggler-api-perl (0.13) unstable; urgency=low

  * fix notify rules update

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Fri, 12 Feb 2021 08:13:01 +0300

libpartner2-juggler-api-perl (0.12) unstable; urgency=low

  * fix HTTP::Message must be bytes

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Fri, 29 May 2020 13:30:36 +0300

libpartner2-juggler-api-perl (0.11) unstable; urgency=low

  * fix add_or_update_notify_rule http method

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Tue, 19 May 2020 14:57:04 +0300

libpartner2-juggler-api-perl (0.10) unstable; urgency=low

  * use jsv validator. add notify rules api

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Tue, 19 May 2020 12:13:07 +0300

libpartner2-juggler-api-perl (0.09) unstable; urgency=low

  * extend api

 -- Artem Rumyantsev <artrum@yandex-team.ru>  Tue, 05 Nov 2019 13:44:41 +0300

libpartner2-juggler-api-perl (0.08) precise; urgency=low

  * add repeat arg

 -- Evgeniy Zemtsov <madamada@yandex-team.ru>  Wed, 31 Jul 2019 01:16:02 +0300

libpartner2-juggler-api-perl (0.07) unstable; urgency=low

  * added active checks

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Mon, 10 Dec 2018 16:54:30 +0300

libpartner2-juggler-api-perl (0.06) unstable; urgency=low

  * removed versions and depends

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 06 Dec 2018 16:13:49 +0300

libpartner2-juggler-api-perl (0.05) unstable; urgency=low

  * fix status and method

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Mon, 03 Dec 2018 20:33:40 +0300

libpartner2-juggler-api-perl (0.04) unstable; urgency=low

  * fix urls

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Wed, 28 Nov 2018 13:18:51 +0300

libpartner2-juggler-api-perl (0.03) unstable; urgency=low

  * added md5_hex

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 22 Nov 2018 16:56:33 +0300

libpartner2-juggler-api-perl (0.02) unstable; urgency=low

  * added debian

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Wed, 21 Nov 2018 21:46:37 +0300

libpartner2-juggler-api-perl (0.01) unstable; urgency=low

  * Initial release

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Wed, 21 Nov 2018 21:19:11 +0300
