=== yandex-partner-clickhouse-conf/debian/changelog ===
yandex-partner-clickhouse-conf (1.12) unstable; urgency=low

  * sh -> bash 

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 25 Apr 2019 18:11:16 +0300

yandex-partner-clickhouse-conf (1.11) unstable; urgency=low

  * fix upstart

 -- Igor Sverdlov <blizzard@yandex-team.ru>  Thu, 25 Apr 2019 17:35:10 +0300

yandex-partner-clickhouse-conf (1.10) precise; urgency=low

  * add dictionaries folder

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 25 Dec 2017 22:11:20 +0300

yandex-partner-clickhouse-conf (1.09) precise; urgency=low

  * Fix deps for newer vershion of ClickHouse

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 18 Sep 2017 17:16:40 +0300

yandex-partner-clickhouse-conf (1.08) unstable; urgency=low

  * log to Graphite

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 10 Apr 2017 16:38:16 +0300

yandex-partner-clickhouse-conf (1.07) unstable; urgency=low

  * fix cron

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 17 Mar 2017 20:55:23 +0300

yandex-partner-clickhouse-conf (1.06) unstable; urgency=low

  * add cron to restart ClickHouse

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 17 Mar 2017 20:38:40 +0300

yandex-partner-clickhouse-conf (1.05) unstable; urgency=low

  * Start at runlevel 2

 -- Denis Popov <denvr@yandex-team.ru>  Wed, 25 Jan 2017 21:14:12 +0300

yandex-partner-clickhouse-conf (1.04) unstable; urgency=low

  * Increase <max_memory_usage>

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 17 Jan 2017 13:52:18 +0300

yandex-partner-clickhouse-conf (1.03) unstable; urgency=low

  * fix 

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 26 Dec 2016 21:37:04 +0300

yandex-partner-clickhouse-conf (1.02) unstable; urgency=low

  * add <remote_servers>

 -- Roman Zuev <zurom@yandex-team.ru>  Mon, 26 Dec 2016 21:17:06 +0300

yandex-partner-clickhouse-conf (1.01) unstable; urgency=low

  * first release

 -- Roman Zuev <zurom@yandex-team.ru>  Wed, 21 Dec 2016 21:37:23 +0300

yandex-partner-clickhouse-conf (0.1) unstable; urgency=low

  * first build

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 20 Dec 2016 14:46:19 +0300
