=== yandex-partner-dev-replace-monrun/debian/changelog ===
yandex-partner-dev-replace-monrun (0.1-7) unstable; urgency=low

  * Обновлены версии зависимостей.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Fri, 29 Nov 2019 13:38:12 +0300

yandex-partner-dev-replace-monrun (0.1-6) unstable; urgency=low

  * Указаны конкретные версии пакетов

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 17:30:30 +0300

yandex-partner-dev-replace-monrun (0.1-5) unstable; urgency=low

  * Обновлены зависимости пакета. Добавлены проверки raid, unispace.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 14:18:40 +0300

yandex-partner-dev-replace-monrun (0.1-4) unstable; urgency=low

  * Удалены zk-partner (ПИ1).

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 13:58:14 +0300

yandex-partner-dev-replace-monrun (0.1-3) unstable; urgency=low

  * Обновлён MANIFEST.json (убраны ненужные проверки)

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 13:17:11 +0300

yandex-partner-dev-replace-monrun (0.1-2) unstable; urgency=low

  * Добавлен postinst скрипт

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 12:24:02 +0300

yandex-partner-dev-replace-monrun (0.1-1) precise; urgency=low

  * Initial release.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 10:07:49 +0300
