=== yandex-partner-replace-monrun/debian/changelog ===
yandex-partner-disable-monrun (0.1-5) unstable; urgency=low

  * Обновлены версии зависимостей.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Fri, 29 Nov 2019 13:40:24 +0300

yandex-partner-disable-monrun (0.1-4) unstable; urgency=low

  * Указаны конкретные версии зависимостей.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 18:43:02 +0300

yandex-partner-disable-monrun (0.1-3) unstable; urgency=low

  * Добавлены необходимые зависимости пакета. 

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Wed, 27 Nov 2019 14:28:37 +0300

yandex-partner-disable-monrun (0.1-2) unstable; urgency=low

  * Обновлены скрипты для запуска.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 26 Nov 2019 16:33:15 +0300

yandex-partner-disable-monrun (0.1-1) precise; urgency=low

  * Initial release.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 19 Nov 2019 14:28:12 +0300
