=== yandex-partner-rsync/debian/changelog ===
yandex-partner-rsync (0.03) precise; urgency=low

  * PI-9119 - stat_cache dir

 -- Roman Zuev <zurom@yandex-team.ru>  Tue, 12 Sep 2017 16:45:42 +0300

yandex-partner-rsync (0.02) precise; urgency=low

  * fix hosts for partner2-test

 -- Roman Zuev <zurom@yandex-team.ru>  Thu, 20 Jul 2017 21:23:39 +0300

yandex-partner-rsync (0.01) unstable; urgency=low

  * init

 -- Roman Zuev <zurom@dev-partner2.ppc.yandex.ru>  Tue, 27 Dec 2016 00:27:00 +0300
