=== yandex-partner-solomon-agent-conf/debian/changelog ===
yandex-partner-solomon-agent-conf (0.1-9) unstable; urgency=medium

  * up agent-bin version right bound 

 -- Daniil Belyak <daniil-belyak@yandex-team.ru>  Tue, 18 Jan 2022 23:13:41 +0300

yandex-partner-solomon-agent-conf (0.1-8) unstable; urgency=medium

  * UPDATE horglass

 -- Daniil Belyak <daniil-belyak@yandex-team.ru>  Tue, 18 Jan 2022 23:04:44 +0300

yandex-partner-solomon-agent-conf (0.1-7) unstable; urgency=low

  * Support systemd for bionic

 -- Roman Zuev <zurom@yandex-team.ru>  Fri, 03 Sep 2021 10:16:19 +0300

yandex-partner-solomon-agent-conf (0.1-6) unstable; urgency=low

  * Up depends version yandex-solomon-agent-bin to 1:17.0

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Thu, 20 Oct 2020 12:15:10 +0300

yandex-partner-solomon-agent-conf (0.1-5) unstable; urgency=low

  * Change ports 42001->22001; 42042->22042

 -- Mikhail Leontev <leontevml@yandex-team.ru>  Thu, 20 Oct 2020 10:08:54 +0300

yandex-partner-solomon-agent-conf (0.1-4) unstable; urgency=low

  * Update dependency version to stable.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Thu, 28 Nov 2019 17:32:54 +0300

yandex-partner-solomon-agent-conf (0.1-3) unstable; urgency=low

  * Update package version

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Thu, 28 Nov 2019 14:41:11 +0300

yandex-partner-solomon-agent-conf (0.1-2) unstable; urgency=low

  * Обновлены конфиги.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Thu, 28 Nov 2019 14:21:35 +0300

yandex-partner-solomon-agent-conf (0.1-1) precise; urgency=low

  * Initial release.

 -- Evgeny Maximenko <evmaksimenko@yandex-team.ru>  Tue, 19 Nov 2019 14:28:12 +0300
