=== Partner-DB/debian/control ===
Source: libpartner-db-perl
Section: perl
Priority: extra
Maintainer: Ivan Bessarabov <bessarabov@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0), perl, libqbit-perl
Standards-Version: 3.9.4

Package: libpartner-db-perl
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libsql-easy-perl,
 perl
Homepage: https://github.yandex-team.ru/partner/Partner-DB
Description: partner mysql client helpers
 Long description.
