=== partner2-juggler-api/debian/control ===
Source: libpartner2-juggler-api-perl
Section: misc
Priority: extra
Maintainer: Igor Sverdlov <blizzard@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0),
 libjson-xs-perl,
 libwww-perl,
 libhttp-message-perl
Standards-Version: 3.9.2
Homepage: https://github.yandex-team.ru/partner/partner2-juggler-api
#Vcs-Git: git@github.yandex-team.ru:partner/partner2-juggler-api.git
#Vcs-Browser: https://github.yandex-team.ru/partner/partner2-juggler-api

Package: libpartner2-juggler-api-perl
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 libjson-xs-perl,
 libwww-perl,
 libhttp-message-perl,
 libjsv-perl
Description: Package for working with Juggler API
 Perl package for working with Juggler API
