=== yandex-partner-clickhouse-conf/debian/control ===
Source: yandex-partner-clickhouse-conf
Section: misc
Priority: extra
Maintainer: Roman Zuev <zurom@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Vcs-Git: git://git@github.yandex-team.ru:partner/yandex-partner-clickhouse-conf.git
Vcs-Browser: https://github.yandex-team.ru/partner/yandex-partner-clickhouse-conf

Package: yandex-partner-clickhouse-conf
Depends:
	${misc:Depends},
	clickhouse-server-common(>= 1.1.53982),
	clickhouse-server-base(>= 1.1.53982),
	clickhouse-client(>= 1.1.53982)
Architecture: all
Homepage: https://github.yandex-team.ru/partner/yandex-partner-clickhouse-conf
Description: ClikHouse partner config
