=== yandex-partner-rsync/debian/control ===
Source: yandex-partner-rsync
Section: misc
Priority: extra
Maintainer: Roman Zuev <zurom@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Vcs-Git: git://git@github.yandex-team.ru:partner/yandex-partner-rsync.git
Vcs-Browser: https://github.yandex-team.ru/partner/yandex-partner-rsync

Package: yandex-partner-rsync
Depends:
    ${misc:Depends}
Architecture: all
Homepage: https://github.yandex-team.ru/partner/yandex-partner-rsync
Description: rsync configs for yandex-partners-frontend
