=== Partner-DB/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm debian/libpartner-db-perl/usr/lib/perl/5.14/perllocal.pod || true
